# ACE_Stream_Node Class Reference

Handle a Stream. More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Stream_Node:

[legend]
Collaboration diagram for ACE_Stream_Node:

[legend]
List of all members.

## Public Member Functions

| ACE_Stream_Node (const ACE_Static_Node *, const ACE_Parse_Node *)
virtual | ~ACE_Stream_Node (void)
virtual void | apply (int &yyerrno)
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Private Attributes

const ACE_Static_Node * | node_
| Linked list of modules that are part of the stream.
const ACE_Parse_Node * | mods_

## Detailed Description

Handle a Stream.

Note:
  This class is only meant for INTERNAL use by ACE.

## Constructor & Destructor Documentation

ACE_Stream_Node::ACE_Stream_Node | ( | const ACE_Static_Node * | ,
|  | const ACE_Parse_Node * |
| ) |

ACE_Stream_Node::~ACE_Stream_Node | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ACE_Stream_Node::apply | ( | int & | yyerrno | ) | `[virtual]`

| Implements ACE_Parse_Node.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_Stream_Node::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Parse_Node.

## Member Data Documentation

ACE_Stream_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Parse_Node.

const ACE_Parse_Node* ACE_Stream_Node::mods_`[private]`

const ACE_Static_Node* ACE_Stream_Node::node_`[private]`

| Linked list of modules that are part of the stream.

The documentation for this class was generated from the following files:

- Parse_Node.h
- Parse_Node.cpp